Bug 462816 - Unable to install updates to Fedora 8
Unable to install updates to Fedora 8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 23:23 EDT by jack
Modified: 2014-01-21 18:06 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.2.19-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-19 16:50:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump (2.61 KB, text/plain)
2008-09-18 23:23 EDT, jack
no flags Details

  None (edit)
Description jack 2008-09-18 23:23:41 EDT
Created attachment 317149 [details]
Dump

Description of problem:

Unhandled exception while resolving dependencies when installing updates.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 jack 2008-09-18 23:36:44 EDT
The update being installed is:
nx-3.2.0-30.fc8,freenx-server-0.7.3-11.fc8
          ID  FEDORA-2008-7600
        Type  bugfix
      Status  stable
      Issued  2008-09-16 04:18:38
        Bugs  446816 445982
 Description  This update brings both nx and freenx-server to their latest stable releases fixing several bugs. Most notably nx/freenx-server builds on x86_64 again.
Comment 2 seth vidal 2008-09-19 10:46:41 EDT
What version of yum is running?
Comment 3 jack 2008-09-19 11:02:22 EDT
[root@Samba ~]# yum --version
3.2.19
  Installed: yum-3.2.19-3.fc8.noarch at 2008-09-11 12:17
  Built    : Fedora Project at 2008-09-03 15:19
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2008-09-03 22:00

  Installed: yum-metadata-parser-1.1.2-1.fc8.i386 at 2008-01-31 17:09
  Built    : Fedora Project at 2007-08-24 14:14
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2007-08-24 22:00

  Installed: rpm-4.4.2.2-7.fc8.i386 at 2008-01-31 20:32
  Built    : Fedora Project at 2007-11-12 07:25
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2007-10-24 22:00
[root@Samba ~]#
Comment 4 seth vidal 2008-09-19 11:43:44 EDT
And you're able to reliably get that error from 3.2.19?

Can you run yum clean all and try it again?
Comment 5 James Antill 2008-09-19 11:59:48 EDT
Also is this a problem on the command line too? Or just when using the GUI?
Comment 6 James Antill 2008-09-19 12:00:30 EDT
Oh, and can you give the output of "yum repolist"
Comment 7 jack 2008-09-19 12:34:35 EDT
I ran the yum clean all and then retried running the update from the gui and it worked fine, so problem solved.  I ran the yum repolist but after the install ran OK, so I don't know if it is relevant, but the output was:

[root@Samba ~]# yum repolist
repo id              repo name                                status  
fedora               Fedora 8 - i386                          enabled :   8,439
updates              Fedora 8 - i386 - Updates                enabled :       1
updates-newkey       Fedora 8 - i386 - Updates Newkey         enabled :   5,195
repolist: 13,635
[root@Samba ~]# 

Thanks for your help.
Jack Shambaugh

Note You need to log in before you can comment on or make changes to this bug.